CREATE TABLE COMPONENT_MAP
(
	CM_ID BIGINT NOT NULL identity(1,1),
	SM_ID BIGINT NOT NULL,
	SOURCE_COMP_ID BIGINT NOT NULL,
	TARGET_COMP_ID BIGINT NOT NULL
)
;

ALTER TABLE COMPONENT_MAP ADD CONSTRAINT PK_COMPONENT_MAP
	PRIMARY KEY CLUSTERED (CM_ID)
;
